package cmd

import (
	_ "fmt"
	"hacklab.nilfm.cc/quartzgun/auth"
	_ "strings"
)

func ProcessCmd(args []string, userStore auth.UserStore) bool {
	if len(args) == 1 {
		return false
	}
	switch args[1] {
	case "adduser":
		if len(args) < 4 {
			return help()
		}
		userStore.AddUser(args[2], args[3])
	case "rmuser":
		if len(args) < 3 {
			return help()
		}
		userStore.DeleteUser(args[2])
	case "passwd":
		if len(args) < 5 {
			return help()
		}
		userStore.ChangePassword(args[2], args[3], args[4])
	default:
		help()
	}
	return true
}

func help() bool {
	return true
}
